Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 761445 - media-libs/xine-lib-1.2.10 is missing dependencies on net-libs/libssh2 and dev-libs/wayland
Summary: media-libs/xine-lib-1.2.10 is missing dependencies on net-libs/libssh2 and de...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 764401
  Show dependency tree
 
Reported: 2020-12-23 23:21 UTC by Laszlo Valko
Modified: 2021-03-04 01:45 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xine-lib build log (build.xine.log.gz,51.13 KB, application/gzip)
2020-12-23 23:23 UTC, Laszlo Valko
Details
add use flags for --enable-wayland and --enable-sftp (xine-lib-use-flag-wayland-sftp.patch,1.55 KB, patch)
2021-02-03 10:36 UTC, Laszlo Valko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laszlo Valko 2020-12-23 23:21:27 UTC
When libssh2.so.1 and libwayland-egl.so.1 have been installed on the system, compiling media-libs/xine-lib-1.2.10 will automatically produce a binary linked to those shared libraries, resulting in hidden dependencies. This breaks .tbz2-based installations.

Reproducible: Always

Steps to Reproduce:
1. install net-libs/libssh2 and dev-libs/wayland
2. emerge -b media-libs/xine-lib-1.2.10
3. unmerge net-libs/libssh2 and dev-libs/wayland
Actual Results:  
revdep-rebuild complains, while emerge/depmod does not show any package problems.
Similarly, when packages are moved another system in binary format, dependency checking does not show that libssh2 and wayland are missing.

Expected Results:  
Package dependencies should work properly.

Portage 3.0.9 (python 3.8.6-final-0, default/linux/amd64/17.1, gcc-9.3.0, glibc-2.32-r3, 4.19.152-mygentoo-v1.x64 x86_64)
=================================================================
System uname: Linux-4.19.152-mygentoo-v1.x64-x86_64-Intel-R-_Core-TM-_i5-4670_CPU_@_3.40GHz-with-glibc2.2.5
KiB Mem:    32872732 total,  25228928 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Mon, 21 Dec 2020 03:00:01 +0000
Head commit of repository gentoo: 20a6be318ebc738b8ca0fb36e01499035277f39d

sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r4::gentoo, 3.8.6::gentoo
dev-util/cmake:           3.17.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.69-r5::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.12.6-r2::gentoo, 1.13.4-r2::gentoo, 1.14.1-r2::gentoo, 1.15.1-r2::gentoo, 1.16.2-r1::gentoo
sys-devel/binutils:       2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r2::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://127.0.0.1:1876/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: --exclude='/packages.64'
    sync-rsync-verify-metamanifest: no
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -mtune=core2 -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=nocona -mtune=core2 -fomit-frame-pointer"
DISTDIR="/home/pkgs/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US hu"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages.64"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude='/packages.64'"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext X Xaw3d a52 aac aacplus aacs aalib acl acpi alsa amd64 amr amrenc amrnb amrwb apache2 apulse audio berkdb bluetooth bluray browserplugin bzip2 bzlib cairo caps cgi clamdtop clang cli conntrack crypt css ctype curl dga dirac directfb dkim dri dts dv dvb dvd egl encode exif faac faad fbcon fdk ffmpeg flac fontconfig fpm ftp gd gdbm ggi gif glamor gles1 gles2 gpm gtk gtk2 h323 hash hpn iconv imap irda java jce joystick jpeg lame ldap ldapsam libass libcaca libglvnd libsamplerate libsoxr libtirpc libv4l linsys live lmtp logrotate loop-aes lzma lzo mad maildir maildrop matroska memlimit mhash mime mjpeg mmap mmx mod modplug motif mozilla mp3 mpeg mtp multilib musepack mysql mysqli ncurses no-helper nptl nsplugin oav ogg opencl opengl openmp openssl openvg opus osmesa pam pcmcia pcntl pcre perl php png pnm procmail pyzord qt3support quicktime quotas quvi rar readline real rpc rtmp rtsp samba sdl seccomp sieve slang smartcard sna sndfile soap sockets socks5 spamassassin speex split-usr sse sse2 sse3 ssl svg syslog sysvipc taglib tcl tcltk tcpd tga theora tiff tk truetype twolame udev unicode usb uxa v4l v4l2 vaapi vcd vda vdpau vdr video vorbis vpx wavpack webp win32codecs wmf x264 x265 xa xanim xattr xcb xine xinerama xml xml2 xmlreader xmlwriter xpm xsl xv xvid xvmc zip zlib zvbi" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="access_compat actions alias asis auth_basic auth_digest authn_alias authn_anon authn_core authn_dbd authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid cache_disk dav dav_fs dav_lock dbd deflate dir disk_cache dumpio env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_bybusyness lbmethod_byrequests lbmethod_bytraffic lbmethod_heartbeat log_config logio macro mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_fcgi proxy_html proxy_http proxy_scgi proxy_wstunnel ratelimit remoteip reqtimeout rewrite setenvif slotmem_shm socache_shmcb speling status substitute unique_id unixd userdir usertrack vhost_alias cgi xml2enc" APACHE2_MPMS="worker" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="emu efi-32 efi-64 pc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="en hu" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" NGINX_MODULES_HTTP="access addition auth_basic auth_ldap auth_request autoindex browser cache_purge charset dav dav_ext echo empty_gif fancyindex fastcgi flv geo geoip grpc gunzip gzip gzip_static headers_more image_filter limit_conn limit_req map memc memcached mirror naxsi proxy referer push_stream rewrite slowfs_cache split_clients sticky upload_progress upstream_hash upstream_ip_hash upstream_keepalive upstream_least_conn upstream_zone userid uwsgi vhost_traffic_status xslt" NGINX_MODULES_STREAM="access geo geoip limit_conn map realip return split_clients ssl_preread upstream_hash upstream_least_conn upstream_zone" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python2_7 python3_8" QEMU_SOFTMMU_TARGETS="i386 x86_64 arm aarch64" QEMU_USER_TARGETS="i386 x86_64 arm aarch64" RUBY_TARGETS="ruby26" SANE_BACKENDS="mustek_usb2" USERLAND="GNU" VIDEO_CARDS="intel i915 i965 fbdev amdgpu radeonhd radeon radeonsi nouveau nv vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS


The produced binaries get linked to libssh2.so.1 and libwayland-egl.so.1:

# ldd /usr/lib64/xine/plugins/2.8/xineplug_inp_ssh.so
        linux-vdso.so.1 (0x00007ffc131ed000)
        libssh2.so.1 => not found
        libxine.so.2 => /usr/lib64/libxine.so.2 (0x00007fa94769e000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fa94767e000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fa9474c3000)
        libz.so.1 => /lib64/libz.so.1 (0x00007fa9474a9000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fa9474a4000)
        libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007fa94745b000)
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fa947398000)
        libxdg-basedir.so.1 => /usr/lib64/libxdg-basedir.so.1 (0x00007fa947392000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fa947761000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007fa947365000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fa94735c000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007fa947349000)
        libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007fa947311000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fa9471ce000)

# ldd /usr/lib64/xine/plugins/2.8/xineplug_vo_gl_egl_wl.so
        linux-vdso.so.1 (0x00007ffeb1be6000)
        libxine.so.2 => /usr/lib64/libxine.so.2 (0x00007f3a22a0b000)
        libwayland-egl.so.1 => not found
        libEGL.so.1 => /usr/lib64/libEGL.so.1 (0x00007f3a229f6000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f3a2283b000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f3a22821000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f3a2281c000)
        libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007f3a227d3000)
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f3a22710000)
        libxdg-basedir.so.1 => /usr/lib64/libxdg-basedir.so.1 (0x00007f3a2270a000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f3a226ea000)
        libGLdispatch.so.0 => /usr/lib64/libGLdispatch.so.0 (0x00007f3a22632000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f3a22aca000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f3a22605000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f3a225fa000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f3a225e7000)
        libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007f3a225b1000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f3a2246e000)
Comment 1 Laszlo Valko 2020-12-23 23:23:25 UTC
Created attachment 679347 [details]
xine-lib build log
Comment 2 Laszlo Valko 2021-02-03 10:36:54 UTC
Created attachment 685620 [details, diff]
add use flags for --enable-wayland and --enable-sftp

As no noise was seen here lately, I created a patch to add the missing two use flags. On my system, it builds fine in both states (enabled and disabled).
Comment 3 Larry the Git Cow gentoo-dev 2021-03-04 01:45:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3085007548ea60ffbea0b6d04d285acccdd96c18

commit 3085007548ea60ffbea0b6d04d285acccdd96c18
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-09 04:52:56 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-04 01:44:25 +0000

    media-libs/xine-lib: fix automagic on nfs, libssh2, wayland
    
    Closes: #19000
    Closes: https://bugs.gentoo.org/761445
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/xine-lib/metadata.xml             |  6 ++++++
 media-libs/xine-lib/xine-lib-1.2.10.ebuild   | 10 ++++++++--
 media-libs/xine-lib/xine-lib-1.2.11.ebuild   | 10 ++++++++--
 media-libs/xine-lib/xine-lib-1.2.9999.ebuild | 10 ++++++++--
 4 files changed, 30 insertions(+), 6 deletions(-)